<template>
  <div class="mx-2">
    <a class="ml-5" @click="userRights">
      <SvgIcon v-bind="{ name: 'list.svg', type: 'blue', size: 20 }"></SvgIcon>
    </a>
  </div>
</template>
<script setup>
const { $store } = useNuxtApp();
const emit = defineEmits(["clickevent"]);
var props = defineProps({
  appid: Number,
  row: Object,
  api: String,
  setting: String,
});

function userRights() {
  emit("clickevent", {
    name: "dataevent",
    data: {
      modal: {
        title: $store.lang === "en" ? "Group rights" : "Phân quyền theo nhóm",
        height: "500px",
        width: "500px",
        component: "menu/MenuGroupRights",
        vbind: { row: props.row, api: props.api, setting: props.setting },
      },
    },
  });
}
</script>
